Skip to content

List the comments on a content post

Request

List the comments on a content post. Only top-level comments are returned. Comments which are replies to other comments are not currently available through this endpoint. Upon enabling expanded reactions types, the response will include the additional reaction types.

When a comment with user mentions is returned, it will be returned with those mentions in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}. You can parse out the user_id and then look up the user and transform the mention metadata to the display_name/name of the referenced user.

Security
oauth2_as_a_user(Required scopes: content.read) or oauth2_as_a_server(Required scopes: content.read)
Path
content_idintegerrequired

ID or UUID of the content post

curl -i -X GET \
  'https://partner.socialchorus.com/v2/content/{content_id}/comments' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(Content.Comment.Resource)required
Response
{ "data": [ {} ] }